Package org.bukkit.event.entity

# Class VillagerCareerChangeEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
org.bukkit.event.entity.VillagerCareerChangeEvent

All Implemented Interfaces:
  `Cancellable`

public class VillagerCareerChangeEvent extends EntityEvent implements Cancellable

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`VillagerCareerChangeEvent.ChangeReason`
Reasons for the villager's profession changing.

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`VillagerCareerChangeEvent(@NotNull Villager what, @NotNull Villager.Profession profession, @NotNull VillagerCareerChangeEvent.ChangeReason reason)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Villager`
`getEntity()`
Returns the Entity involved in this event
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull Villager.Profession`
`getProfession()`
Gets the future profession of the villager.
`@NotNull VillagerCareerChangeEvent.ChangeReason`
`getReason()`
Gets the reason for why the villager's career is changing.
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.
`void`
`setProfession(@NotNull Villager.Profession profession)`
Sets the profession the villager will become from this event.

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VillagerCareerChangeEvent

public VillagerCareerChangeEvent(@NotNull @NotNull Villager what, @NotNull @NotNull Villager.Profession profession, @NotNull @NotNull VillagerCareerChangeEvent.ChangeReason reason)

## Method Details

### getEntity

@NotNull public @NotNull Villager getEntity()
Description copied from class: `EntityEvent`
Returns the Entity involved in this event

Overrides:
  `getEntity` in class `EntityEvent`
Returns:
  Entity who is involved in this event

### getProfession

@NotNull public @NotNull Villager.Profession getProfession()
Gets the future profession of the villager.

Returns:
  The profession the villager will change to

### setProfession

public void setProfession(@NotNull @NotNull Villager.Profession profession)
Sets the profession the villager will become from this event.

Parameters:
  `profession` - new profession

### getReason

@NotNull public @NotNull VillagerCareerChangeEvent.ChangeReason getReason()
Gets the reason for why the villager's career is changing.

Returns:
  Reason for villager's profession changing

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()